Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 747544 - dev-db/postgis: Automagic sys-libs/libcxx dependency
Summary: dev-db/postgis: Automagic sys-libs/libcxx dependency
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: PgSQL Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-10 11:14 UTC by Mart Raudsepp
Modified: 2020-10-10 11:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mart Raudsepp gentoo-dev 2020-10-10 11:14:28 UTC
If sys-libs/libcxx is present during postgis configure phase, it'll use it instead of libstdc++ as an automagic dependency that isn't expressed in RDEPEND.

Comes from configure.ac wagyu step:

            dnl ============================================================
            dnl Check if we can declare the c++ stdlib
            dnl ============================================================
            CC="$WAGYU_CXX"

            AC_CHECK_LIB(c++, main, [HAVE_CPP=yes], [HAVE_CPP=no])
            AC_CHECK_LIB(stdc++, main, [HAVE_STDCPP=yes], [HAVE_STDCPP=no])

            if test "x$HAVE_CPP" = "xyes"; then
                WAGYU_LDFLAGS="-lc++"
            elif test "x$HAVE_STDCPP" = "xyes"; then
                WAGYU_LDFLAGS="-lstdc++"
            else
                AC_MSG_WARN("Could not find a C++ standard library")
                WAGYU_LDFLAGS=""
            fi


This automagic needs to be fixed, or an explicit libcxx dep added.

!!! existing preserved libs:
>>> package: sys-libs/libcxx-10.0.1
 *  - /usr/lib64/libc++.so.1
 *  - /usr/lib64/libc++.so.1.0
 *      used by /usr/lib64/postgresql-11/lib64/postgis-3.so (dev-db/postgis-3.0.0-r1)